##
## 0 minutes 23 seconds
##
Name:       libvpx
Version:    1.13.0
Release:    1%{?dist}
Summary:    libvpx - VP8 Video Codec SDK
Group:      System Environment/Libraries 
License:    BSD
URL:        https://www.webmproject.org/code/
%undefine   _disable_source_fetch
Source0:    https://github.com/webmproject/libvpx/archive/v%{version}.tar.gz
Packager: 	%packager
BuildRequires: libgcc, glibc-devel, zlib-devel, make
BuildRequires: yasm
BuildRequires: perl
BuildRequires: devtoolset-9-gcc-c++

%define debug_package %nil

%description
libvpx provides the VP8 SDK, which allows you to integrate your applications
with the VP8 video codec, a high quality, royalty free, open source codec
deployed on millions of computers and devices worldwide.

##################################################################################################################
%package devel
Summary: libvpx-devel - Development package for libvpx
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The libvpx-devel package contains libraries and header files for
developing applications that use libvpx.
##
%prep

%setup -q -n libvpx-%{version}

%build
export CC=/opt/rh/devtoolset-9/root/bin/gcc
export CXX=/opt/rh/devtoolset-9/root/bin/g++
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-examples --disable-unit-tests --enable-vp9-highbitdepth --enable-vp8 --enable-vp9  --as=yasm  \
            --enable-shared
make %{?_smp_mflags}
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post
if [ $1 == 1 ];then
       /sbin/ldconfig
fi

#%postun
#if [ $1 == 0 ];then
   #uninstalled   
#fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%license LICENSE
%doc AUTHORS CHANGELOG README PATENTS
%{_libdir}/libvpx.so.8
%{_libdir}/libvpx.so.8.0
%{_libdir}/libvpx.so.8.0.0

%files devel
%{_includedir}/vpx/vp8.h
%{_includedir}/vpx/vp8cx.h
%{_includedir}/vpx/vp8dx.h
%{_includedir}/vpx/vpx_codec.h
%{_includedir}/vpx/vpx_decoder.h
%{_includedir}/vpx/vpx_encoder.h
%{_includedir}/vpx/vpx_frame_buffer.h
%{_includedir}/vpx/vpx_image.h
%{_includedir}/vpx/vpx_integer.h
%{_includedir}/vpx/vpx_ext_ratectrl.h
%{_libdir}/libvpx.so
%{_libdir}/pkgconfig/vpx.pc
%{_libdir}/libvpx.a